Get event registrant
GET
/api/events/{eventid}/registrant/{registrantid}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registrant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registrant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registrant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventid
required
string format: uuid
The event identifier.
registrantid
required
string format: uuid
The registrant identifier.
Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
shoppingCartId
null | string format: uuid
registrationGroupId
null | string format: uuid
invoiceId
null | string format: uuid
eventId
string format: uuid
eventRegistrationDetailsId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
createdByUserId
null | string format: uuid
createdByPersonId
null | string format: uuid
registrationPassCodeId
null | string format: uuid
amountListed
null | integer | string format: int32
amountPurchased
null | integer | string format: int32
amountPaid
null | integer | string format: int32
amountDiscounted
null | integer | string format: int32
amountRefunded
null | integer | string format: int32
transferredByUserId
null | string format: uuid
originalRegistrantId
null | string format: uuid
numberOfTickets
null | integer | string format: int32
isTransferred
boolean
isCancelled
boolean
isReleased
boolean
isApproved
boolean
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
createdByUser
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
grabToken
null | string
needsInvoice
boolean
hasInvoice
boolean
refundRequested
boolean
refundRequestDate
null | string format: date-time
refundDate
null | string format: date-time
responseStatus
registrantStatus
paymentStatus
approvalStatus
refundedByPersonId
null | string format: uuid
name
null | string
email
null | string
contactEmail
null | string
proxyEmail
null | string
proxyName
null | string
registeringOnBehalf
null | boolean
phone
null | string
jobTitle
null | string
company
null | string
mobile
null | string
firstName
null | string
lastName
null | string
middleName
null | string
salutation
null | string
isGroupRegistration
boolean
companyUrl
null | string
socials
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
timezone
null | string
emergencyContactFirstName
null | string
emergencyContactLastName
null | string
emergencyContactEmail
null | string
emergencyContactPhone
null | string
alternateContactFirstName
null | string
alternateContactLastName
null | string
alternateContactEmail
null | string
alternateContactPhone
null | string
businessContactFirstName
null | string
businessContactLastName
null | string
businessContactEmail
null | string
businessContactPhone
null | string
businessContactAddress1
null | string
businessContactAddress2
null | string
businessContactCity
null | string
businessContactState
null | string
businessContactCountry
null | string
businessContactPostalCode
null | string
notes
null | string
requirements
null | string
purchasedForName
null | string
purchasedForEmail
null | string
extraInfo
null | string
meta
null | object
externalId
null | string
cancellationRequested
boolean
cancellationRequestDate
null | string format: date-time
cancellationDate
null | string format: date-time
cancellationRequestedByPersonId
null | string format: uuid
confirmationNumber
null | string
completeDate
null | string format: date-time
enteredCode
null | string
checkinDate
null | string format: date-time
checkedIn
boolean
checkinDateOnline
null | string format: date-time
checkedInOnline
boolean
location
null | string
description
null | string
networkingOptIn
null | boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
registrationType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
categories
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
shoppingCartId
null | string format: uuid
registrationGroupId
null | string format: uuid
invoiceId
null | string format: uuid
eventId
string format: uuid
eventRegistrationDetailsId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
createdByUserId
null | string format: uuid
createdByPersonId
null | string format: uuid
registrationPassCodeId
null | string format: uuid
amountListed
null | integer | string format: int32
amountPurchased
null | integer | string format: int32
amountPaid
null | integer | string format: int32
amountDiscounted
null | integer | string format: int32
amountRefunded
null | integer | string format: int32
transferredByUserId
null | string format: uuid
originalRegistrantId
null | string format: uuid
numberOfTickets
null | integer | string format: int32
isTransferred
boolean
isCancelled
boolean
isReleased
boolean
isApproved
boolean
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
createdByUser
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
grabToken
null | string
needsInvoice
boolean
hasInvoice
boolean
refundRequested
boolean
refundRequestDate
null | string format: date-time
refundDate
null | string format: date-time
responseStatus
registrantStatus
paymentStatus
approvalStatus
refundedByPersonId
null | string format: uuid
name
null | string
email
null | string
contactEmail
null | string
proxyEmail
null | string
proxyName
null | string
registeringOnBehalf
null | boolean
phone
null | string
jobTitle
null | string
company
null | string
mobile
null | string
firstName
null | string
lastName
null | string
middleName
null | string
salutation
null | string
isGroupRegistration
boolean
companyUrl
null | string
socials
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
timezone
null | string
emergencyContactFirstName
null | string
emergencyContactLastName
null | string
emergencyContactEmail
null | string
emergencyContactPhone
null | string
alternateContactFirstName
null | string
alternateContactLastName
null | string
alternateContactEmail
null | string
alternateContactPhone
null | string
businessContactFirstName
null | string
businessContactLastName
null | string
businessContactEmail
null | string
businessContactPhone
null | string
businessContactAddress1
null | string
businessContactAddress2
null | string
businessContactCity
null | string
businessContactState
null | string
businessContactCountry
null | string
businessContactPostalCode
null | string
notes
null | string
requirements
null | string
purchasedForName
null | string
purchasedForEmail
null | string
extraInfo
null | string
meta
null | object
externalId
null | string
cancellationRequested
boolean
cancellationRequestDate
null | string format: date-time
cancellationDate
null | string format: date-time
cancellationRequestedByPersonId
null | string format: uuid
confirmationNumber
null | string
completeDate
null | string format: date-time
enteredCode
null | string
checkinDate
null | string format: date-time
checkedIn
boolean
checkinDateOnline
null | string format: date-time
checkedInOnline
boolean
location
null | string
description
null | string
networkingOptIn
null | boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
registrationType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
categories
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
{ "responseStatus": "Incomplete", "registrantStatus": "Incomplete", "paymentStatus": "None", "approvalStatus": "None", "registrationType": { "kind": "Attendee", "status": "NotAvailable", "cancellationType": "ApprovalRequired", "approvalKind": "Automatic" }, "categories": [ { "categoryKind": "Multi" } ]}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
shoppingCartId
null | string format: uuid
registrationGroupId
null | string format: uuid
invoiceId
null | string format: uuid
eventId
string format: uuid
eventRegistrationDetailsId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
createdByUserId
null | string format: uuid
createdByPersonId
null | string format: uuid
registrationPassCodeId
null | string format: uuid
amountListed
null | integer | string format: int32
amountPurchased
null | integer | string format: int32
amountPaid
null | integer | string format: int32
amountDiscounted
null | integer | string format: int32
amountRefunded
null | integer | string format: int32
transferredByUserId
null | string format: uuid
originalRegistrantId
null | string format: uuid
numberOfTickets
null | integer | string format: int32
isTransferred
boolean
isCancelled
boolean
isReleased
boolean
isApproved
boolean
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
createdByUser
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
grabToken
null | string
needsInvoice
boolean
hasInvoice
boolean
refundRequested
boolean
refundRequestDate
null | string format: date-time
refundDate
null | string format: date-time
responseStatus
registrantStatus
paymentStatus
approvalStatus
refundedByPersonId
null | string format: uuid
name
null | string
email
null | string
contactEmail
null | string
proxyEmail
null | string
proxyName
null | string
registeringOnBehalf
null | boolean
phone
null | string
jobTitle
null | string
company
null | string
mobile
null | string
firstName
null | string
lastName
null | string
middleName
null | string
salutation
null | string
isGroupRegistration
boolean
companyUrl
null | string
socials
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
timezone
null | string
emergencyContactFirstName
null | string
emergencyContactLastName
null | string
emergencyContactEmail
null | string
emergencyContactPhone
null | string
alternateContactFirstName
null | string
alternateContactLastName
null | string
alternateContactEmail
null | string
alternateContactPhone
null | string
businessContactFirstName
null | string
businessContactLastName
null | string
businessContactEmail
null | string
businessContactPhone
null | string
businessContactAddress1
null | string
businessContactAddress2
null | string
businessContactCity
null | string
businessContactState
null | string
businessContactCountry
null | string
businessContactPostalCode
null | string
notes
null | string
requirements
null | string
purchasedForName
null | string
purchasedForEmail
null | string
extraInfo
null | string
meta
null | object
externalId
null | string
cancellationRequested
boolean
cancellationRequestDate
null | string format: date-time
cancellationDate
null | string format: date-time
cancellationRequestedByPersonId
null | string format: uuid
confirmationNumber
null | string
completeDate
null | string format: date-time
enteredCode
null | string
checkinDate
null | string format: date-time
checkedIn
boolean
checkinDateOnline
null | string format: date-time
checkedInOnline
boolean
location
null | string
description
null | string
networkingOptIn
null | boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
registrationType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
categories
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
{ "responseStatus": "Incomplete", "registrantStatus": "Incomplete", "paymentStatus": "None", "approvalStatus": "None", "registrationType": { "kind": "Attendee", "status": "NotAvailable", "cancellationType": "ApprovalRequired", "approvalKind": "Automatic" }, "categories": [ { "categoryKind": "Multi" } ]}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}